<?php

// Configure frontend plugins
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'SGalinski.sg_jobs',
	'Joblist',
	[
		// Cacheable actions
		'Joblist' => 'index'
	],
	[
		// Uncacheable actions
		'Joblist' => ''
	]
);
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'SGalinski.sg_jobs',
	'JobApplication',
	[
		// Cacheable actions
		'Joblist' => 'applyForm, apply'
	],
	[
		// Uncacheable actions
		'Joblist' => 'applyForm, apply'
	]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'SGalinski.sg_jobs',
	'PageBrowser',
	['PageBrowser' => 'index',],
	['PageBrowser' => '',]
);

// Configure ajax controller
\SGalinski\SgAjax\Service\AjaxRegistration::configureAjaxFrontendPlugin(
	'sg_jobs', [
		'Ajax\Joblist' => 'filter',
		'Ajax\JobApplication' => 'deleteTempFile',
	]
);

if (TYPO3_MODE === 'BE') {
	$extPath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('sg_jobs');
	$tsPath = $extPath . 'Configuration/TypoScript/Backend/';

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptConstants(
		file_get_contents($tsPath . 'constants.ts')
	);

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptSetup(file_get_contents($tsPath . 'setup.ts'));
}
